Bug 1785576 - [Hammer] [CR-General] The id field in Compute Resource images listing are not shown
Summary: [Hammer] [CR-General] The id field in Compute Resource images listing are not...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 6.7.0
Assignee: Shira Maximov
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-12-20 10:36 UTC by Kavita
Modified: 2020-04-14 13:28 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman-0.19.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28132 Low Closed [Hammer] [CR-General] The id field in Compute Resource images listing are not shown 2020-01-14 16:02:57 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:19 UTC

Description Kavita 2019-12-20 10:36:09 UTC
An "images" list from GCE is being fetched but the 'id' field is not being shown if I choose fields to display like "id, name" or even if I choose any predefined sets. The issue is also repro with VMWare image listing. 

How Reproducible:
-------------------
Always

Steps:
-------------------
1. Attempt to list images (name and uuids) from GCE/VMWare Compute Resources.

   # hammer compute-resource images --fields 'ALL' --id 1                   - or -
   # hammer compute-resource images --fields 'id,name' --id 1


Actual Behavior:
-------------------
1. The list shows the names of all available images.
1. The list doesn't show id(UUIDs of images) field in both the cases.

Expected Behavior:
--------------------
1. The hammer listing of CR images should also show the ids/uuids of an images along with names.

Comment 1 Kavita 2019-12-20 10:36:14 UTC
Created from redmine issue https://projects.theforeman.org/issues/28132

Comment 4 Jitendra Yejare 2020-01-17 15:19:18 UTC
Verified!

@ Satellite 6.7 Snap 8


Steps:
-------------------
1. Attempt to list images (name and uuids) from GCE/VMWare Compute Resources.

   # hammer compute-resource images --fields 'ALL' --id 1                   - or -
   # hammer compute-resource images --fields 'Uuid,name' --id 1


Actual Behavior:
-------------------
1. The list shows the names of all available images.
1. The list also shows Uuid(UUIDs of images) field in both cases.

Comment 7 errata-xmlrpc 2020-04-14 13:28:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.